%define dist Crypt-SSLeay
Name: perl-%dist
Version: 0.57
Release: alt2

Summary: OpenSSL glue that provides LWP https support
License: GPL
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Sun Aug 24 2008
BuildRequires: libssl-devel perl-Test-Pod perl-libwww

%description
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD & POST requests. Please
see perldoc LWP for more information on POST requests.

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/Crypt
%perl_vendor_archlib/Net
%perl_vendor_autolib/Crypt

%changelog
* Sun Aug 24 2008 Alexey Tourbin <at@altlinux.ru> 0.57-alt2
- rebuilt with libssl.so.7

* Wed Nov 14 2007 Alexey Tourbin <at@altlinux.ru> 0.57-alt1
- 0.56 -> 0.57

* Sun Aug 05 2007 Alexey Tourbin <at@altlinux.ru> 0.56-alt1
- 0.54 -> 0.56

* Wed Apr 18 2007 Alexey Tourbin <at@altlinux.ru> 0.54-alt1
- 0.53 -> 0.54

* Sun Jan 21 2007 Alexey Tourbin <at@altlinux.ru> 0.53-alt1
- 0.51 -> 0.53
- adapted for git and built with gear

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.51-alt2.1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.51-alt2.1
- Rebuilt with openssl-0.9.7d.

* Mon Oct 06 2003 Andrey Brindeew <abr@altlinux.ru> 0.51-alt2
- Packager tag updated
- Both Summary and Description was updated
- Url tag added

* Fri Aug 01 2003 Sir Raorn <raorn@altlinux.ru> 0.51-alt1
- Built for Sisyphus

